.l-page {
  display: grid;
  grid-template-columns:
    [full-start] minmax(var(--un-spacing), 1fr)
    [main-start] minmax(0, var(--un-max-vw)) [main-end]
    minmax(var(--un-spacing), 1fr) [full-end];

  grid-template-rows: 80px auto 120px;
  min-height: 100vh;
}

.l-header {
  grid-row: 1 / 2;
  display: inherit;
  grid-column: full;
  grid-template-columns: inherit;
  background: var(--un-header-bg);
  box-shadow: var(--un-nav-box-shadow);
  color: var(--un-header-fg);
}

.l-header .m-nav {
  grid-column: main;
  align-self: center;
}
.l-main {
  display: flex;
  grid-column: main;
  grid-row: 2 / 3;
  padding: calc(var(--un-spacing) * 2) 0;
  background: var(--un-main-bg);
  color: var(--un-main-fg);
}

.l-footer {
  display: inherit;
  grid-column: full;
  grid-row: 3 / 4;
  grid-template-columns: inherit;
  background: var(--un-footer-bg);
  color: var(--un-footer-fg);
}

.l-main .m-card--accounts {
  align-self: center;
  max-width: 480px;
  margin: auto;
  justify-self: center;
}

.l-page .m-flash {
  display: none;
}

.l-page .m-flash:not(:empty) {
  display: initial;
  z-index: 1;
  grid-column: main;
  grid-row: 1 / 2;
  align-self: center;
  width: 100%;
  max-width: 320px;
  justify-self: center;
}
